=== debian/changelog ===
pd-csound (2:1.01.0-1) unstable; urgency=medium

  * Initial release. (Closes: #915553)
  * Use epoch (2) in version number, since 'pd-csound' used to be part of the
    'csound' package, until csound_1:6.10.0~dfsg-2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Dec 2018 09:32:13 +0100
