=== debian/control ===
Source: pd-csound
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 cmake,
 libcsound64-dev,
 puredata-dev | puredata (<< 0.43),
Standards-Version: 4.2.1
Homepage: https://csound.com
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-csound.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-csound

Package: pd-csound
Architecture: any
Depends: ${shlibs:Depends},
 puredata-core | pd,
 ${misc:Depends},
Recommnends:
 csound
Description: Csound external for Pure Data
 This is the csound6~ object for Pure Data (Pd).
 It allows you to run and interact with Csound scores/instruments from within
 Pd.
 .
 For more information on Csound or Pd, see the respective packages.
