=== debian/changelog ===
pd-csound (2:1.2-2) unstable; urgency=medium

  * Add autopkgtest

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 20:54:30 +0200

pd-csound (2:1.2-1) unstable; urgency=medium

  * New upstream version 1.2
    + Drop obsolete patches
    + Adapt to new upstream directory layout
  * Build pd64 flavour as well
    + Add patch to allow building pd64 externals
  * Add DEP-3 headers to patches
  * Switch to using dh-sequence-puredata
  * Update copyright information
    + Bump copyright dates
    + Remove duplicate text of LGPL-2.1+
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 14:32:31 +0200

pd-csound (2:1.01.0-7) unstable; urgency=medium

  * Add patch to fix FTBFS with Cmake-4 (Closes: #1113394)
  * Modernize FSF-address in LGPL-2.1+
  * Modernize d/watch to version 5
  * Apply 'wrap-and-sort -ast'
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 00:21:43 +0200

pd-csound (2:1.01.0-6) unstable; urgency=medium

  * Patch to replace error() with pd_error() (Closes: #1066493)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 16:46:16 +0100

pd-csound (2:1.01.0-5) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:38:25 +0100

pd-csound (2:1.01.0-4) unstable; urgency=medium

  * Add 'licensecheck' target
    + Generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Nov 2022 23:25:57 +0100

pd-csound (2:1.01.0-3) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:16:41 +0200

pd-csound (2:1.01.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix permissions of pd_linux files
  * Update d/control
    * Fix typo in Recommends
    * Reorder stanzas as suggested by 'routine-update'
    * Drop obsolete versioned depends on puredata<<0.43
    * Declare that building this package does not require 'root' powers.
  * Refresh d/copyright
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Bump Standards-Version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Apr 2020 13:17:42 +0200
