=== debian/control ===
Source: pd-csound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Section: sound
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
 cmake,
 libcsound64-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-csound
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-csound.git
Homepage: https://csound.com

Package: pd-csound
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 csound,
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Csound external for Pure Data
 This is the csound6~ object for Pure Data (Pd).
 It allows you to run and interact with Csound scores/instruments from within
 Pd.
 .
 For more information on Csound or Pd, see the respective packages.
