=== csound6_tilde/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(CMAKE_OSX_SYSROOT "")
 set(CMAKE_MACOSX_RPATH 1)
 set(CMAKE_VERBOSE_MAKEFILE ON)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")
 
 
 if(APPLE)
@@ -23,14 +23,14 @@
   set(pdext ".pd_linux")
 endif()
 
-set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux_amd64_64.so)")
+set (PD_EXTENSION "${pdext}" CACHE STRING "the external extension (.pd_linux, .linux-amd64-64.so)")
 set (PD_FLOATSIZE 32 CACHE STRING "the floatsize of Pd (32 or 64)")
 
 if(PD_FLOATSIZE STREQUAL 64)
   add_definitions(-DPD_FLOATSIZE=64)
-  # TODO check if the extension matches ".*_*_64.*"
-  if(NOT PD_EXTENSION MATCHES "^\.[^.]*_[^.]*_64\.[^.]*$")
-    message(FATAL_ERROR " double-precision externals must have an extension like '.linux_amd64_64.so'")
+  # TODO check if the extension matches ".*-*-64.*"
+  if(NOT PD_EXTENSION MATCHES "^\.[^.]*-[^.]*-64\.[^.]*$")
+    message(FATAL_ERROR " double-precision externals must have an extension like '.linux-amd64-64.so'")
   endif()
 elseif(PD_FLOATSIZE STREQUAL 32)
 else()
@@ -39,7 +39,7 @@
 
 find_path(PD_HEADER_PATH m_pd.h HINTS ${CMAKE_SOURCE_DIR}/src)
 find_library(PD_LIBRARY pd.dll)
-find_package(CSOUND)
+find_package(Csound)
 
 if(PD_HEADER_PATH)
     if(WIN32)
