=== debian/changelog ===
pd-csound (2:1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
    + Drop patches applied upstream
  * Drop obsolete Rules-Requires-Root stanza.
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 19 Oct 2025 21:40:03 +0200
