=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  cmake,
  libcsound64-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-csound
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-csound.git
 Homepage: https://csound.com
