=== debian/tests/control ===
Test-Command: find debian/tests -name "test_*.pd" -exec debian/tests/runtests.sh {} "+"
Depends:
 @,
Restrictions:
 allow-stderr,

Test-Command: PD=pd64 find debian/tests -name "test_*.pd" -exec debian/tests/runtests.sh {} "+"
Depends:
 puredata64-core,
 @,
Restrictions:
 allow-stderr,
