=== debian/watch ===
Version: 5

# process this file with uscan(1)
Template: Github
Owner: csound
Project: csound_pd
Dversionmangle: auto
